Delete a business lead record by ID
curl --request DELETE \
--url https://api.leadping.ai/leads/{id}import requests
url = "https://api.leadping.ai/leads/{id}"
response = requests.delete(url)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/leads/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.delete("https://api.leadping.ai/leads/{id}")
.asString();const options = {method: 'DELETE'};
fetch('https://api.leadping.ai/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/leads/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/leads/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}Leads
Delete a business lead record by ID
Deletes a lead from the current business when it should no longer appear in communication, routing, or event workflows.
DELETE
/
leads
/
{id}
Delete a business lead record by ID
Path Parameters
The ID of the lead to delete.
Response
Lead was successfully deleted.
⌘I

